Skip to content
Start Trading

List non-trade activities

GET/v1/accounts/{account_id}/non-trade-activities

Results are paginated.

Path ParametersExpand Collapse
account_id: number
Query ParametersExpand Collapse
page_size: optional number

The number of items to return per page. Only used when page_token is not provided.

formatint64
maximum500
minimum1
page_token: optional string

Token for retrieving the next or previous page of results. Contains encoded pagination state; when provided, page_size is ignored.

formatbyte
ReturnsExpand Collapse
data: NonTradeActivityList { id, account_id, activity_subtype, 13 more }
id: string

ID for the activity, in UUID-v7 format.

formatuuid
account_id: string

Account ID

activity_subtype: string

Subtype within its activity_type.

activity_type: ActivityType

Categorization for the activity.

One of the following:
"money_movement"
"interest"
"fee"
"dividend"
"option_event"
"transfer"
"corporate_action"
"tax_withholding"
"adjustment"
"other"
amount: string

Cash amount change.

created_at: string

The creation time at UTC, when this activity became part of the ledger

formatdate-time
currency: string

Currency of the cash amount. Always USD for now.

effective_date: string

Effective date for the activity

formatdate
instrument_type: SecurityType

The security type.

One of the following:
"COMMON_STOCK"
"INDEX"
"OPTION"
"CASH"
memo: string

Memo

qty: string

Quantity change in the instrument.

State for this activity.

One of the following:
"settled"
"cancelled"
cancelled_reference_id: optional string

Reference ID for the record that is being cancelled. Present only on records where the activity state is ‘cancelled’. The contents of this fields points at the reference_id of the original record that is being cancelled by this record.

instrument_id: optional string

Instrument identifier. Omitted when the activity has no single resolvable instrument.

formatuuid
reference_id: optional string

Reference ID for the activity, in ULID format. Present only on records where activity state is ‘settled’. When a activity is cancelled, the cancelation record is pointing at this reference_id.

symbol: optional string

Symbol of the instrument. Omitted when the activity has no single resolvable instrument.

List non-trade activities

curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/non-trade-activities \
    -H "Authorization: Bearer $API_KEY"
{
  "data": [
    {
      "account_id": "123456789",
      "activity_subtype": "cash_dividend",
      "activity_type": "dividend",
      "amount": "42",
      "created_at": "2026-09-11T20:52:01.412732Z",
      "currency": "USD",
      "effective_date": "2026-09-11",
      "id": "01a0923d-d704-78b2-8e38-5a1cbfb7d989",
      "instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
      "instrument_type": "COMMON_STOCK",
      "memo": "test memo",
      "qty": "0",
      "reference_id": "01a0923d-d704-78b2-8e38-5a58c53f0cfa",
      "state": "settled",
      "symbol": "AAPL"
    }
  ],
  "metadata": {
    "request_id": "1a2b3c4d-5e6f-7890-1234-5a6b7c8d9e0f"
  }
}
{
  "error": {
    "code": 403,
    "message": "The caller does not have permission to execute the specified operation"
  },
  "metadata": {
    "request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "67e95eb4-93b9-4010-8c9b-7ada7c2be93f"
  }
}
Returns Examples
{
  "data": [
    {
      "account_id": "123456789",
      "activity_subtype": "cash_dividend",
      "activity_type": "dividend",
      "amount": "42",
      "created_at": "2026-09-11T20:52:01.412732Z",
      "currency": "USD",
      "effective_date": "2026-09-11",
      "id": "01a0923d-d704-78b2-8e38-5a1cbfb7d989",
      "instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
      "instrument_type": "COMMON_STOCK",
      "memo": "test memo",
      "qty": "0",
      "reference_id": "01a0923d-d704-78b2-8e38-5a58c53f0cfa",
      "state": "settled",
      "symbol": "AAPL"
    }
  ],
  "metadata": {
    "request_id": "1a2b3c4d-5e6f-7890-1234-5a6b7c8d9e0f"
  }
}
{
  "error": {
    "code": 403,
    "message": "The caller does not have permission to execute the specified operation"
  },
  "metadata": {
    "request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "67e95eb4-93b9-4010-8c9b-7ada7c2be93f"
  }
}